Subject: Re: [PATCH net-next 0/6] net: Pass net through ip fragmention

From: Nicolas Dichtel <[email-masked]>
Date: Thu, 1 Oct 2015 10:33:29 +0200

Le 30/09/2015 23:24, Eric W. Biederman a écrit :
>
> This is the next installment of my work to pass struct net through the
> output path so the code does not need to guess how to figure out which
> network namespace it is in, and ultimately routes can have output
> devices in another network namespace.
>
> This round focuses on passing net through ip fragmentation which we seem
> to call from about everywhere.  That is the main ip output paths, the
> bridge netfilter code, and openvswitch.  This has to happend at once
> accross the tree as function pointers are involved.
>
> First some prep work is done, then ipv4 and ipv6 are converted and then
> temporary helper functions are removed.
Some minors comments (see other emails).

Acked-by: Nicolas Dichtel <[email-masked]>